+++
title = "Site web"
description = "Héberger un site web"
sort_by = "weight"
+++

Vous en avez marre de faire toute votre communication associative via Facebook ? Vous voulez créer votre propre site pour raconter vos dernières vacances ou publier vos poèmes ? Bref, publier en indépendance ? Deuxfleurs peut vous aider en vous fournissant l'hébergement. Suivez le guide !

1. [Statique ? Comment ça ?](./statique-comment-ca)
2. [Initialiser votre accès](./initialiser-votre-acces)
3. [Mettre en place le DNS](./mettre-place-dns)
4. [Créer du contenu](./créer-du-contenu/)
5. [Publier le contenu](./publier-le-contenu)

# Ils nous font confiance pour leur site web

  - [anneprudhomoz.fr](https://anneprudhomoz.fr) - *De la terre, du fer, de l'eau, beaucoup de feu, un peu d'huile, encore du béton et du plâtre ! ... sans oublier le crayon à papier et les carnets.*
  - [colineaubert.com](https://colineaubert.com) - *D'un côté graphiste, illustratrice et conceptrice d'outils pédagogiques, je mets en images et en mots différents sujets scientifiques et culturels.*
  - [estherbouquet.com](https://estherbouquet.com) - *Esther Bouquet questions how narratives—both historical and literary—are being built by creating tangible experiences ranging from the size of the sheet of paper to the volume of a space; somewhere between writing, archiving, drawing, designing, and programming.*
  - [quentin.dufour.io](https://quentin.dufour.io) - *Portfolio et blog d'un ingénieur en informatique*
  - [erwan.dufour.io](https://erwan.dufour.io) - *Portfolio et blog d'un passionné d'électronique*
  - [rfid.deuxfleurs.fr](https://rfid.deuxfleurs.fr) - *Rencontres Francophones de l'Infonuagique Décentralisé*












# Sites statiques

Nous fournissons un système d'hébergement de site statique, c'est à dire de HTML, CSS et Javascript.
Il n'est pas possible d'utiliser du PHP ou Wordpress car ces derniers utilisent trop de ressources et ne sont pas compatibles avec nos choix techniques.

Si vous ne savez pas quels outils utiliser pour la création de votre site statique, nous vous proposons la sélection suivante :
  - [Publii](https://getpublii.com/) - si vous êtes seul·e à gérer votre site web
  - NetlifyCMS (à venir) - pour publier à plusieurs
  - [Hugo](https://gohugo.io/) (avancé) - Avec un générateur de site statique
  - [VSCodium](https://vscodium.com/) (avancé) -  [Apprenez à créer votre site web avec HTML5 et CSS3](https://openclassrooms.com/fr/courses/1603881-apprenez-a-creer-votre-site-web-avec-html5-et-css3) sur OpenClassrooms

# Mise en ligne

Si vous avez déjà votre site web statique, voici notre suggestion d'outils pour le mettre en ligne :

  - [WinSCP](./winscp) (Windows seulement, niveau facile)
  - [Rclone Browser](./rclone) (Linux, macOS et Windows, niveau moyen)
  - (à venir) notre propre outils
  - (à venir, avancé) drone + git
  - (à venir, avancé) awscli



